Subject: Re: [1/4] powerpc: use the new post-link pass to check relocations

From: Michael Ellerman <[email-masked]>
Date: Mon, 1 May 2017 12:58:50 +1000 (AEST)

On Sat, 2016-11-26 at 03:26:09 UTC, Nicholas Piggin wrote:
> Currently powerpc has to introduce a dependency on its default
> build target zImage in order to run a relocation check pass
> over the linked vmlinux. This is deficient because the check
> is not run if the plain vmlinux target is built, or if one of
> the other boot targets is built.
> 
> Switch to using the kbuild post-link pass in order to run this
> check. In future powerpc will use this to do more complicated
> operations, but initially using it for something simple is a
> good first step.
> 
> Signed-off-by: Nicholas Piggin <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/f188d0524d7e09f7ec801df9761dc1

cheers